Bug 241706 - databases/foundationdb: dependency on mono should be build time only
Summary: databases/foundationdb: dependency on mono should be build time only
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dave Cottlehuber
URL:
Keywords: buildisok, easy
Depends on: 241705
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-04 11:16 UTC by Dave Cottlehuber
Modified: 2020-02-16 21:52 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (vanilla)
koobs: merge-quarterly?


Attachments
make mono a build time only dependency (666 bytes, patch)
2019-11-04 11:16 UTC, Dave Cottlehuber
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Cottlehuber freebsd_committer 2019-11-04 11:16:37 UTC
Created attachment 208844 [details]
make mono a build time only dependency

mono is a build-time only dependency, not actually a runtime one. This appears
to require changing /usr/ports/Mk/Uses/mono.mk to do this, as the normal USES=mono:build doesn't help:

foundationdb> make run-depends-list
/usr/ports/devel/boost-libs
/usr/ports/devel/libeio
/usr/ports/lang/mono

foundationdb> make build-depends-list
/usr/ports/ports-mgmt/pkg
/usr/ports/shells/bash
/usr/ports/devel/gmake
/usr/ports/lang/mono
/usr/ports/lang/python36
/usr/ports/devel/boost-libs
/usr/ports/devel/libeio

The patch for FDB is trivial, but needs mono fixed first - PR underway for that too.
Comment 1 Automation User 2019-11-19 00:02:33 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/96826571
Comment 2 Dave Cottlehuber freebsd_committer 2020-01-20 10:48:05 UTC
waiting on Phab review of mono diff https://reviews.freebsd.org/D23278
Comment 3 Dave Cottlehuber freebsd_committer 2020-01-28 12:58:38 UTC
take ownership, wait for use/mono.mk diff to be committed.
Comment 4 commit-hook freebsd_committer 2020-02-16 21:50:48 UTC
A commit references this bug:

Author: dch
Date: Sun Feb 16 21:50:30 UTC 2020
New revision: 526330
URL: https://svnweb.freebsd.org/changeset/ports/526330

Log:
  databases/foundationdb & -devel: use mono only during build

  PR:		241706
  Sponsored by:	SkunkWerks, GmbH
  Differential Revision:	https://reviews.freebsd.org/D23277

Changes:
  head/databases/foundationdb/Makefile
  head/databases/foundationdb-devel/Makefile